=== added file 'loggerhead/tests/fixtures.py'
--- loggerhead/tests/fixtures.py	1970-01-01 00:00:00 +0000
+++ loggerhead/tests/fixtures.py	2011-11-25 02:28:56 +0000
@@ -0,0 +1,43 @@
+# Copyright (C) 2007, 2008, 2009, 2011 Canonical Ltd.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from __future__ import absolute_import
+
+from fixtures import Fixture
+
+
+class SampleBranch(Fixture):
+
+    def __init__(self, testcase):
+        # Must be a bzr TestCase to hook into branch creation, unfortunately.
+        self.testcase = testcase
+
+    def setUp(self):
+        Fixture.setUp(self)
+
+        self.tree = self.testcase.make_branch_and_tree('.')
+
+        self.filecontents = (
+            'some\nmultiline\ndata\n'
+            'with<htmlspecialchars\n')
+        filenames = ['myfilename', 'anotherfile<']
+        self.testcase.build_tree_contents(
+            (filename, self.filecontents) for filename in filenames)
+        for filename in filenames:
+            self.tree.add(filename, '%s-id' % filename)
+        self.fileid = self.tree.path2id('myfilename')
+        self.msg = 'a very exciting commit message <'
+        self.revid = self.tree.commit(message=self.msg)

=== modified file 'loggerhead/tests/test_simple.py'
--- loggerhead/tests/test_simple.py	2011-11-25 01:23:32 +0000
+++ loggerhead/tests/test_simple.py	2011-11-25 02:28:56 +0000
@@ -33,6 +33,9 @@
 from paste.fixture import TestApp
 from paste.httpexceptions import HTTPExceptionHandler, HTTPMovedPermanently
 
+from loggerhead.tests.fixtures import (
+    SampleBranch,
+    )
 
 
 class BasicTests(TestCaseWithTransport):
@@ -71,18 +74,14 @@
 
     def setUp(self):
         BasicTests.setUp(self)
-        self.createBranch()
+        self.sample_branch_fixture = SampleBranch(self)
 
-        self.filecontents = ('some\nmultiline\ndata\n'
-                             'with<htmlspecialchars\n')
-        filenames = ['myfilename', 'anotherfile<']
-        self.build_tree_contents(
-            (filename, self.filecontents) for filename in filenames)
-        for filename in filenames:
-            self.tree.add(filename, '%s-id' % filename)
-        self.fileid = self.tree.path2id('myfilename')
-        self.msg = 'a very exciting commit message <'
-        self.revid = self.tree.commit(message=self.msg)
+        # XXX: This could be cleaned up more... -- mbp 2011-11-25
+        self.useFixture(self.sample_branch_fixture)
+        self.tree = self.sample_branch_fixture.tree
+        self.fileid = self.sample_branch_fixture.fileid
+        self.filecontents = self.sample_branch_fixture.filecontents
+        self.msg = self.sample_branch_fixture.msg
 
     def test_public_private(self):
         app = self.make_branch_app(self.tree.branch, private=True)

